// Jean Luc Biellmann - contact@alsatux.com

"use strict";

var _SettingsGUI = {
	init: function () {
		document.getElementById('menu_goto_settings').addEventListener("click",_SettingsGUI.show);
		document.getElementById('cal_settings_wkst').addEventListener("click", _SettingsGUI.click_wkst);
		document.getElementById('button_settings_close').addEventListener("click",_SettingsGUI.hide);
	},
	show: function (event) {
		document.getElementById('div_settings').style.display = '';
	},
	hide: function (e) {
		document.getElementById('div_settings').style.display = 'none';
	},
	set_wkst_on_startup: function () {
		var lis = document.getElementById('cal_settings_wkst').querySelectorAll('li');
		for (var i=0;i<lis.length;i++)
			if (lis[i].innerHTML==_CalGUI.settings['wkst'])
				lis[i].className = 'selected';
			else
				lis[i].className = '';
	},
	click_wkst: function (e) {
		var o = e.target;
		if (o.nodeName=='LI') {
			if (o.className.indexOf('selected')!=-1) {
				o.className = o.className.replace(/selected/,'');
			} else {
				var lis = o.parentNode.querySelectorAll('li');
				for (var i=0;i<lis.length;i++)
					lis[i].className = '';
				o.className = 'selected';
				_CalGUI.settings['wkst'] = o .innerHTML;
				_Log.info('wkst is now ' + _CalGUI.settings['wkst']);
			}
		}
		//if (_Storage.allowed())
			_EventDB.save();
	}
};

