// Jean Luc Biellmann - contact@alsatux.com - 20140613 - v0.1

"use strict";

var version = 'v0.1';

Date.prototype.toYYYYMMDD = function () {
	var spacer = arguments.length ? arguments[0] : '';
	var day = _Fmt.two_digits(this.getDate());
	var month = _Fmt.two_digits(this.getMonth() + 1);
	return this.getFullYear() + spacer + month + spacer + day;
}

window.onload = function () {
	_MenuGUI.click_today();
	_SettingsGUI.set_wkst_on_startup();
	_Log.info('Thanks to use Cactus ' + version +' ! Please report any bug to contact@alsatux.com !');
	if (_Storage.allowed()) {
		_Log.info('Storage allowed... Searching for the last backup file...');
		_SD.recall_last_backup();
	} else {
		alert('Storage not allowed !');
		if (typeof testxml != 'undefined')
			_XML.read(testxml);
	}
	_MenuGUI.init();
	_CalGUI.init();
	_MonthGUI.init();
	_DialerGUI.init();
	_RepeatGUI.init();
	_EventGUI.init();
	_LogGUI.init();
	_SettingsGUI.init();
	// delete input getting focus
	var input_nums = document.querySelectorAll('input[type="number"]');
	for (var i=0;i<input_nums.length;i++) {
		input_nums[i].addEventListener('click', function () {
			this.setAttribute('data-oldvalue', this.value);
			this.value = '';
		});
		input_nums[i].addEventListener('blur', function () {
			if (this.value==null || !this.value.length) {
				this.value = this.getAttribute('data-oldvalue');
			}
		});
	}
}
